<div class="row">
  <div class="col-2 d-flex flex-column" *ngFor="let photo of member.photos">
    <img
      src="{{ photo.url }}"
      alt="{{ photo.url }}"
      class="img-thumbnail p-1"
    />
    <div class="d-flex">
      <button
        [disabled]="photo.isMain"
        (click)="setMainPhoto(photo)"
        [ngClass]="photo.isMain ? 'btn-success active' : 'btn-outline-success'"
        class="btn btn-sm flex-grow-1"
      >
        Main
      </button>
      <button
        [disabled]="photo.isMain"
        (click)="deletePhoto(photo.id)"
        class="btn btn-sm btn-danger flex-grow-1"
      >
        <i class="fa fa-trash"></i>
      </button>
    </div>
  </div>
</div>

<div class="row mt-5">
  <input type="file" id="file" accept="image/*" (change)="onChange($event)" />

  <button class="btn btn-success w-25 mt-2" (click)="uploadPhoto()">
    Upload photo
  </button>
</div>
